Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class ResultCode

    java.lang.Object
      com.compoze.domino.ResultCode

All Implemented Interfaces:
  java.io.Serializable

public class ResultCode
extends java.lang.Object
implements java.io.Serializable

This class maps result codes from a `DominoException` to the error that occurred on the server.

See Also:
  `ResultCode`, Serialized Form

Field Summary
`static long` | `CREATE_PERSONAL_FOLDER` The Notes users does not have Create Personal Folders/Views access permission for the mail database.
`static long` | `CREATE_SHARED_FOLDER` The Notes users does not have Create Shared Folder access permission for the mail database.
`static long` | `NO_CREATE_DOCUMENTS` The Notes users does not have Create Documents access permission for the mail database.
`static long` | `NO_DELETE_DOCUMENTS` The Notes users does not have Delete Documents access permission for the mail database.
`static long` | `NO_PUBLIC_READER` The Notes users does not have Read Public Documents access permission for the mail database.
`static long` | `NO_PUBLIC_WRITER` The Notes users does not have Write Public Documents access permission for the mail database.
`static int` | `TYPE_CLIENT` Client-side Java processing error.
`static int` | `TYPE_NATIVE` Native Notes error.
`static int` | `TYPE_OK` OK.
`static int` | `TYPE_SERVICE` Compoze Domino Service error.

Method Summary
`long` | `getResultCode()` Gets the result code.
`int` | `getType()` Gets the result code type.
`java.lang.String` | `toString()` Returns the string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_OK

    public static final int TYPE_OK

  OK.

  See Also:
    Constant Field Values

### TYPE_NATIVE

    public static final int TYPE_NATIVE

  Native Notes error.

  See Also:
    Constant Field Values

### TYPE_SERVICE

    public static final int TYPE_SERVICE

  Compoze Domino Service error.

  See Also:
    Constant Field Values

### TYPE_CLIENT

    public static final int TYPE_CLIENT

  Client-side Java processing error.

  See Also:
    Constant Field Values

### NO_PUBLIC_READER

    public static final long NO_PUBLIC_READER

  The Notes users does not have Read Public Documents access permission for the mail database.

  See Also:
    Constant Field Values

### NO_PUBLIC_WRITER

    public static final long NO_PUBLIC_WRITER

  The Notes users does not have Write Public Documents access permission for the mail database.

  See Also:
    Constant Field Values

### CREATE_PERSONAL_FOLDER

    public static final long CREATE_PERSONAL_FOLDER

  The Notes users does not have Create Personal Folders/Views access permission for the mail database.

  See Also:
    Constant Field Values

### NO_DELETE_DOCUMENTS

    public static final long NO_DELETE_DOCUMENTS

  The Notes users does not have Delete Documents access permission for the mail database.

  See Also:
    Constant Field Values

### NO_CREATE_DOCUMENTS

    public static final long NO_CREATE_DOCUMENTS

  The Notes users does not have Create Documents access permission for the mail database.

  See Also:
    Constant Field Values

### CREATE_SHARED_FOLDER

    public static final long CREATE_SHARED_FOLDER

  The Notes users does not have Create Shared Folder access permission for the mail database.

  See Also:
    Constant Field Values

Method Detail

### getType

    public int getType()

  Gets the result code type.

  Returns:
    the result code type (see `TYPE_` constants)

### getResultCode

    public long getResultCode()

  Gets the result code.

  Returns:
    the result code

### toString

    public java.lang.String toString()

  Returns the string representation of this object.

  Returns:
    the string representation of this object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.